org.eclipse.swt.accessibility

## Class AccessibleControlEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleControlEvent

    public class AccessibleControlEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending messages to controls asking for detailed information about the implementation of the control instance. Typically, only implementors of custom controls need to listen for this event.

Note: The meaning of each field depends on the message that was sent.

Since:
  1.4
See Also:
  `AccessibleControlListener`, `AccessibleControlAdapter`, Sample code and further information

### Field Summary

Fields
`Accessible` `accessible`
`int` `childID`
`java.lang.Object[]` `children`
`int` `detail`
`int` `height`
`java.lang.String` `result`
`int` `width`
`int` `x`
`int` `y`

### Constructor Summary

Constructors
Constructor and Description
`AccessibleControlEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### childID

    public int childID

#### accessible

    public Accessible accessible

#### x

    public int x

#### y

    public int y

#### width

    public int width

#### height

    public int height

#### detail

    public int detail

#### result

    public java.lang.String result

#### children

    public java.lang.Object[] children

### Constructor Detail

#### AccessibleControlEvent

    public AccessibleControlEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0